作者 主題: 套件尋找  (閱讀 7412 次)

0 會員 與 1 訪客 正在閱讀本文。

mbrod

  • 憂鬱的高中生
  • ***
  • 文章數: 174
    • 檢視個人資料
套件尋找
« 於: 2008-09-19 15:24 »
因安裝 mail scanner 後出現少一些套件,如下:

 patch rpm-build
 perl-MIME-tools
 gcc perl-Archive-Zip

上google找不到可下載的點
請問各位是否知道哪可以下載?
謝謝

bruce_wu

  • 憂鬱的高中生
  • ***
  • 文章數: 91
    • 檢視個人資料
回覆: 套件尋找
« 回覆 #1 於: 2008-09-19 16:05 »
1.你的系統為何
2.基本上那些都用 yum 可以安裝

mbrod

  • 憂鬱的高中生
  • ***
  • 文章數: 174
    • 檢視個人資料
回覆: 套件尋找
« 回覆 #2 於: 2008-09-19 16:15 »
1.你的系統為何
2.基本上那些都用 yum 可以安裝


您好:

1. 系統為 redhat 9.0
2.yum指令無法執行
-------------------------------
yum install patch rpm-build
yum install perl-MIME-tools
yum install gcc perl-Archive-Zip

顯示無此檔案
在建置linxu時選擇自訂選項並且鉤選全部近5MB的
---------------------------------
3.redhat 9.0光碟片有關RPMS目錄也找不到這些套件

謝謝

Yamaka

  • 俺是博士!
  • *****
  • 文章數: 4913
    • 檢視個人資料
    • http://www.ecmagic.com
回覆: 套件尋找
« 回覆 #3 於: 2008-09-19 16:19 »
1.你的系統為何
2.基本上那些都用 yum 可以安裝


您好:

1. 系統為 redhat 9.0
2.yum指令無法執行
-------------------------------
yum install patch rpm-build
yum install perl-MIME-tools
yum install gcc perl-Archive-Zip

顯示無此檔案
在建置linxu時選擇自訂選項並且鉤選全部近5MB的
---------------------------------
3.redhat 9.0光碟片有關RPMS目錄也找不到這些套件

謝謝

新安裝的系統?  有什䋀原因不能用新一點的 linux 版本嗎??

mbrod

  • 憂鬱的高中生
  • ***
  • 文章數: 174
    • 檢視個人資料
回覆: 套件尋找
« 回覆 #4 於: 2008-09-19 16:47 »
1.你的系統為何
2.基本上那些都用 yum 可以安裝


您好:

1. 系統為 redhat 9.0
2.yum指令無法執行
-------------------------------
yum install patch rpm-build
yum install perl-MIME-tools
yum install gcc perl-Archive-Zip

顯示無此檔案
在建置linxu時選擇自訂選項並且鉤選全部近5MB的
---------------------------------
3.redhat 9.0光碟片有關RPMS目錄也找不到這些套件

謝謝

新安裝的系統?  有什䋀原因不能用新一點的 linux 版本嗎??


小弟使用PUTTY下指令
-------------------------
例子:

test@root#  yum install patch rpm-build

下yum執行需要再另行安裝其他套件嗎?

------------------------
以下是提外話
主管的習慣
沒記錯的話redhat 9.0好像支援更新
這部份也有跟主管說明
但主管堅持不相信

bruce_wu

  • 憂鬱的高中生
  • ***
  • 文章數: 91
    • 檢視個人資料
回覆: 套件尋找
« 回覆 #5 於: 2008-09-19 16:51 »
1.你的系統為何
2.基本上那些都用 yum 可以安裝


您好:

1. 系統為 redhat 9.0
2.yum指令無法執行
-------------------------------
yum install patch rpm-build
yum install perl-MIME-tools
yum install gcc perl-Archive-Zip

顯示無此檔案
在建置linxu時選擇自訂選項並且鉤選全部近5MB的
---------------------------------
3.redhat 9.0光碟片有關RPMS目錄也找不到這些套件

謝謝

1.你應該是第一次接觸LINUX系統吧,或許接觸不久,也或許剛接處吧
2.如同 yamaka  兄所講的 「新安裝的系統?  有什麼原因不能用新一點的 linux 版本嗎??」

mbrod

  • 憂鬱的高中生
  • ***
  • 文章數: 174
    • 檢視個人資料
回覆: 套件尋找
« 回覆 #6 於: 2008-09-19 17:06 »
1.你的系統為何
2.基本上那些都用 yum 可以安裝


您好:

1. 系統為 redhat 9.0
2.yum指令無法執行
-------------------------------
yum install patch rpm-build
yum install perl-MIME-tools
yum install gcc perl-Archive-Zip

顯示無此檔案
在建置linxu時選擇自訂選項並且鉤選全部近5MB的
---------------------------------
3.redhat 9.0光碟片有關RPMS目錄也找不到這些套件

謝謝

1.你應該是第一次接觸LINUX系統吧,或許接觸不久,也或許剛接處吧
2.如同 yamaka  兄所講的 「新安裝的系統?  有什麼原因不能用新一點的 linux 版本嗎??」



小弟使用PUTTY下指令
-------------------------
例子:

test@root#  yum install patch rpm-build

下yum執行需要再另行安裝其他套件嗎?

小弟確實接觸不久
------------------------
不使用新版本的linux

主管的習慣
沒記錯的話redhat 9.0好像支援更新
這部份也有跟主管說明
但主管堅持不相信

pippeng

  • 活潑的大學生
  • ***
  • 文章數: 329
  • 性別: 男
    • 檢視個人資料
    • IT Ranger
回覆: 套件尋找
« 回覆 #7 於: 2008-09-19 17:35 »
要安裝套件請一定要到官方網站
請一定要看文件
openwebmail是非常友善的套件
相關需求的rpm人家也都放著讓你下載
連yum都幫人家做出來了,但非常可惜大家卻都不去了解他

請自己到他官方網站找你要的東西
http://openwebmail.org/openwebmail/download/

還有Mail server使用Redhat 9.0非常不智

用心用心再用心

damon

  • 管理員
  • 俺是博士!
  • *****
  • 文章數: 4227
    • 檢視個人資料
    • http://blog.damon.tw/
回覆: 套件尋找
« 回覆 #8 於: 2008-09-19 20:46 »
如果你還想用rh9來弄mail server,那還不如申請google app

mbrod

  • 憂鬱的高中生
  • ***
  • 文章數: 174
    • 檢視個人資料
回覆: 套件尋找
« 回覆 #9 於: 2008-09-20 08:17 »
要安裝套件請一定要到官方網站
請一定要看文件
openwebmail是非常友善的套件
相關需求的rpm人家也都放著讓你下載
連yum都幫人家做出來了,但非常可惜大家卻都不去了解他

請自己到他官方網站找你要的東西
http://openwebmail.org/openwebmail/download/

還有Mail server使用Redhat 9.0非常不智




謝謝各位
我還是再找仔細點...

redhat 9.0真的有那麼糟嗎?

damon

  • 管理員
  • 俺是博士!
  • *****
  • 文章數: 4227
    • 檢視個人資料
    • http://blog.damon.tw/
回覆: 套件尋找
« 回覆 #10 於: 2008-09-20 10:01 »
不要用微軟的觀念來看linux的維護,微軟是非常有情有義的公司,到現在還有在維護windows 2000的security patch
linux呢? FreeBSD呢? 都一樣,不會有太長的時間在維護舊版本的系統,redhat 9老早就已經沒有人在維護了,除非你自己每個package都自己包新版的rpm來用
你要用來放在網路上,大概沒多久就可能被入侵或是發生其他的事情,或是被拿來發廣告信
想省錢又不想用redhat企業版的話,那還不如申請google app,真的要用redhat體系,那用cent os吧

mbrod

  • 憂鬱的高中生
  • ***
  • 文章數: 174
    • 檢視個人資料
回覆: 套件尋找
« 回覆 #11 於: 2008-09-20 10:40 »
不要用微軟的觀念來看linux的維護,微軟是非常有情有義的公司,到現在還有在維護windows 2000的security patch
linux呢? FreeBSD呢? 都一樣,不會有太長的時間在維護舊版本的系統,redhat 9老早就已經沒有人在維護了,除非你自己每個package都自己包新版的rpm來用
你要用來放在網路上,大概沒多久就可能被入侵或是發生其他的事情,或是被拿來發廣告信
想省錢又不想用redhat企業版的話,那還不如申請google app,真的要用redhat體系,那用cent os吧

mbrod

  • 憂鬱的高中生
  • ***
  • 文章數: 174
    • 檢視個人資料
回覆: 套件尋找
« 回覆 #12 於: 2008-09-20 10:42 »
不要用微軟的觀念來看linux的維護,微軟是非常有情有義的公司,到現在還有在維護windows 2000的security patch
linux呢? FreeBSD呢? 都一樣,不會有太長的時間在維護舊版本的系統,redhat 9老早就已經沒有人在維護了,除非你自己每個package都自己包新版的rpm來用
你要用來放在網路上,大概沒多久就可能被入侵或是發生其他的事情,或是被拿來發廣告信
想省錢又不想用redhat企業版的話,那還不如申請google app,真的要用redhat體系,那用cent os吧

謝謝
那我下次要好好跟技術主管說了
免得下次導入系統(如 ERP)使用linux平台還要redhat 9.0
到時資料被盜.....@@

Yamaka

  • 俺是博士!
  • *****
  • 文章數: 4913
    • 檢視個人資料
    • http://www.ecmagic.com
回覆: 套件尋找
« 回覆 #13 於: 2008-09-20 11:04 »
那我下次要好好跟技術主管說了
免得下次導入系統(如 ERP)使用linux平台還要redhat 9.0
到時資料被盜.....@@

5年多前我裝了幾台 redhat 7.3 的主機, 後來離開那間公司....

之前(2年前??)不是有過台灣有多少公司網站被入侵的事件?
(學園裡有人po過這訊息)

而且有列出被成功入侵的網址, 我看了一下, 就發現...

當年裝的主機幾乎都入列了  :D :D

我看了一下那些主機系統的版本

竟然還是我裝的 redhat 7.3 orz...

mbrod

  • 憂鬱的高中生
  • ***
  • 文章數: 174
    • 檢視個人資料
回覆: 套件尋找
« 回覆 #14 於: 2008-09-20 12:29 »
原主管是認為因開了80port導致被入侵
但小弟的疑問是 開80port並不只有小弟這...
建置系統還是要先了解系統的支援狀況

照各位大大所提供寶貴的經驗
小弟日後有機會再遇到相同問題...已做好心理準備了

想必到時主管觀念或許會改變也不一定

謝謝

chihwu

  • 活潑的大學生
  • ***
  • 文章數: 337
    • 檢視個人資料
    • http://www.cses.tcc.edu.tw/~chihwu
回覆: 套件尋找
« 回覆 #15 於: 2008-09-20 18:22 »
要安裝套件請一定要到官方網站
請一定要看文件
openwebmail是非常友善的套件
相關需求的rpm人家也都放著讓你下載
連yum都幫人家做出來了,但非常可惜大家卻都不去了解他

請自己到他官方網站找你要的東西
http://openwebmail.org/openwebmail/download/

還有Mail server使用Redhat 9.0非常不智




謝謝各位
我還是再找仔細點...

redhat 9.0真的有那麼糟嗎?


是沒有多糟!  可用, 但有很多麻煩處。
就好比現在有人說用WIN 95 還很好用, 但是插入個 USB 就可能得裝一堆 drivers 。


mbrod

  • 憂鬱的高中生
  • ***
  • 文章數: 174
    • 檢視個人資料
回覆: 套件尋找
« 回覆 #16 於: 2008-09-22 13:26 »
重新安裝 MIME-Base64 套件即可
不過版本有差
小弟使用成大的ftp網址如下:
http://dslab.ee.ncku.edu.tw/~tung/openwebmail/install.html
各種安裝方法及來源都很清楚...可以參考看看
謝謝各位

孤單不等於寂寞

  • 憂鬱的高中生
  • ***
  • 文章數: 116
    • 檢視個人資料
回覆: 套件尋找
« 回覆 #17 於: 2008-09-22 16:34 »
如果樓主真的對安裝套件不是很有把握的話
那建議你改用Centos吧...

其實linux的安裝套件,一直以來都不是件容易的事



indows的優點是只要按照書上的範例作,就OK啦。
linux的缺點就是,縱然有書有範例來做,也不見的OK啦。

mbrod

  • 憂鬱的高中生
  • ***
  • 文章數: 174
    • 檢視個人資料
回覆: 套件尋找
« 回覆 #18 於: 2008-09-22 16:53 »
如果樓主真的對安裝套件不是很有把握的話
那建議你改用Centos吧...

其實linux的安裝套件,一直以來都不是件容易的事

對我來說真的不是件容易的事
因為
有時同樣的版本能安裝無錯誤訊息,有時就會跑出一些錯誤訊息


謝謝 您的建議


(slime編輯了引言方式)
« 上次編輯: 2008-09-22 17:13 由 slime »